



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Python十分钟入门</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Python十分钟入门</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 09:45:26 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>【简介】</strong></p>
<p>　　Python是一种动态解释型的编程语言。Python可以在Windows、UNIX、MAC等多种操作系统上使用，也可以在Java、.NET开发平台上使用。</p>
<p><img referrerpolicy="no-referrer"src="http://www.admin10000.com/UploadFiles/Document/201208/24/20120824122728767711.GIF" /></p>
<p><strong>【特点】</strong></p>
<p>　　1. Python使用C语言开发，但是Python不再有C语言中的指针等复杂的数据类型。</p>
<p>　　2. Python具有很强的面向对象特性，而且简化了面向对象的实现。它消除了保护类型、抽象类、接口等面向对象的元素。</p>
<p>　　3. Python代码块使用空格或制表符缩进的方式分隔代码。</p>
<p>　　4. Python仅有31个保留字，而且没有分号、begin、end等标记。</p>
<p>　　5. Python是强类型语言，变量创建后会对应一种数据类型，出现在统一表达式中的不同类型的变量需要做类型转换。</p>
<p><strong>【搭建开发环境】</strong></p>
<p>　　1. 可以到www.python.org下载安装包，然后通过configure、make、make install进行安装。</p>
<p>　　2. 也可以到www.activestate.com去下载ActivePython组件包。(ActivePython是对Python核心和常用模块的二进制包装，它是ActiveState公司发布的Python开发环境。ActivePython使得Python的安装更加容易，并且可以应用在各种操作系统上。ActivePython包含了一些常用的Python扩展，以及Windows环境的编程接口)。对ActivePython来说，如果你是windows用户，下载msi包安装即可；如果你是Unix用户，下载tar.gz包直接解压即可。</p>
<p>　　3. Python的IDE，包括PythonWin、Eclipse+PyDev插件、Komodo、EditPlus</p>
<p><strong>【版本】</strong></p>
<p>　　python2与python3是目前主要的两个版本。</p>
<p>　　如下两种情况下，建议使用python2：</p>
<p>　　1. 你无法完全控制你即将部署的环境时；</p>
<p>　　2. 你需要使用一些特定的第三方包或扩展时；</p>
<p>　　python3 是官方推荐的且是未来全力支持的版本，目前很多功能提升仅在python3版本上进行。</p>
<p><strong>【hello world】</strong></p>
<p>　　1 创建hello.py</p>
<p>　　2 编写程序：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>if</code> <code>__name__ </code><code>=</code><code>=</code> <code>\</code><code>'__main__\'</code><code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>"hello word"</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 运行程序：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>python .</code><code>/</code><code>hello.py</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【注释】</strong></p>
<p>　　1 无论是行注释还是段注释，均以#加一个空格来注释。</p>
<p>　　2 如果需要在代码中使用中文注释，必须在python文件的最前面加上如下注释说明：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code># -* - coding: UTF-8 -* -</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 如下注释用于指定解释器</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>#! /usr/bin/python</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【文件类型】</strong></p>
<p>　　1 Python的文件类型分为3种，即源代码、字节代码和优化代码。这些都可以直接运行，不需要进行编译或连接。</p>
<p>　　2 源代码以.py为扩展名，由python来负责解释；</p>
<p>　　3 源文件经过编译后生成扩展名为.pyc的文件，即编译过的字节文件。这种文件不能使用文本编辑器修改。pyc文件是和平台无关的，可以在大部分操作系统上运行。如下语句可以用来产生pyc文件：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>import</code> <code>py_compile</code></div>
<div><code>py_compile.</code><code>compile</code><code>(&lsquo;hello.py&rsquo;)</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　4 经过优化的源文件会以.pyo为后缀，即优化代码。它也不能直接用文本编辑器修改，如下命令可用来生成pyo文件：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>python </code><code>-</code><code>O </code><code>-</code><code>m py_complie hello.py</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【变量】</strong></p>
<p>　　1 python中的变量不需要声明，变量的赋值操作即使变量声明和定义的过程。</p>
<p>　　2 python中一次新的赋值，将创建一个新的变量。即使变量的名称相同，变量的标识并不相同。用id()函数可以获取变量标识：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</td>
<td>
<div>
<div><code>x = </code><code>1</code></div>
<div><code>print id(x)</code></div>
<div><code>x = </code><code>2</code></div>
<div><code>print id(x)</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 如果变量没有赋值，则python认为该变量不存在</p>
<p>　　4 在函数之外定义的变量都可以称为全局变量。全局变量可以被文件内部的任何函数和外部文件访问。</p>
<p>　　5 全局变量建议在文件的开头定义。</p>
<p>　　6 也可以把全局变量放到一个专门的文件中，然后通过import来引用：</p>
<p>gl.py文件中内容如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>_a </code><code>=</code> <code>1</code></div>
<div><code>_b </code><code>=</code> <code>2</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>use_global.py中引用全局变量：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
</td>
<td>
<div>
<div><code>import</code> <code>gl</code></div>
<div><code>def</code> <code>fun():</code></div>
<div><code>&nbsp;&nbsp;</code><code>print</code> <code>gl._a</code></div>
<div><code>&nbsp;&nbsp;</code><code>print</code> <code>gl._b</code></div>
<div><code>fun()</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【常量】</strong></p>
<p>python中没有提供定义常量的保留字。可以自己定义一个常量类来实现常量的功能。</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
</td>
<td>
<div>
<div><code>class</code> <code>_const:</code></div>
<div><code>&nbsp;&nbsp;</code><code>class</code> <code>ConstError(TypeError): </code><code>pass</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>def</code> <code>__setattr__(</code><code>self</code><code>,name,vlaue):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>if</code> <code>self</code><code>.__dict__.has_key(name):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>raise</code> <code>self</code><code>.ConstError, &ldquo;Can&rsquo;t rebind const(</code><code>%</code><code>s)&rdquo;</code><code>%</code><code>name</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>self</code><code>.__dict__[name]</code><code>=</code><code>value</code></div>
<div><code>import</code> <code>sys</code></div>
<div><code>sys.modules[__name__]</code><code>=</code><code>_const()</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【数据类型】</strong></p>
<p>　　1 python的数字类型分为整型、长整型、浮点型、布尔型、复数类型。</p>
<p>　　2 python没有字符类型</p>
<p>　　3 python内部没有普通类型，任何类型都是对象。</p>
<p>　　4 如果需要查看变量的类型，可以使用type类，该类可以返回变量的类型或创建一个新的类型。</p>
<p>　　5 python有3种表示字符串类型的方式，即单引号、双引号、三引号。单引号和双引号的作用是相同的。python程序员更喜欢用单引号，C/Java程序员则习惯使用双引号表示字符串。三引号中可以输入单引号、双引号或换行等字符。</p>
<p><strong>【运算符和表达式】</strong></p>
<p>　　1 python不支持自增运算符和自减运算符。例如i++/i-是错误的，但i+=1是可以的。</p>
<p>　　2 1/2在python2.5之前会等于0.5，在python2.5之后会等于0。</p>
<p>　　3 不等于为!=或&lt;&gt;</p>
<p>　　4 等于用==表示</p>
<p>　　5 逻辑表达式中and表示逻辑与，or表示逻辑或，not表示逻辑非</p>
<p><strong>【控制语句】</strong></p>
<p>　　1 条件语句：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</td>
<td>
<div>
<div><code>if</code> <code>(表达式) :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>语句</code><code>1</code></div>
<div><code>else</code> <code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>语句</code><code>2</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　2 条件语句：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
</td>
<td>
<div>
<div><code>if</code> <code>(表达式) :</code></div>
<div><code>&nbsp;&nbsp;</code><code>语句</code><code>1</code></div>
<div><code>elif</code> <code>(表达式) :</code></div>
<div><code>&nbsp;&nbsp;</code><code>语句</code><code>2</code></div>
<div><code>&hellip;</code></div>
<div><code>elif</code> <code>(表达式) :</code></div>
<div><code>&nbsp;&nbsp;</code><code>语句n</code></div>
<div><code>else</code> <code>:</code></div>
<div><code>&nbsp;&nbsp;</code><code>语句m</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 条件嵌套：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
</td>
<td>
<div>
<div><code>if</code> <code>(表达式</code><code>1</code><code>) :</code></div>
<div><code>&nbsp;&nbsp;</code><code>if</code> <code>(表达式</code><code>2</code><code>) :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>语句</code><code>1</code></div>
<div><code>&nbsp;&nbsp;</code><code>elif</code> <code>(表达式</code><code>3</code><code>) :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>语句</code><code>2</code></div>
<div><code>&nbsp;&nbsp;</code><code>&hellip;</code></div>
<div><code>&nbsp;&nbsp;</code><code>else</code><code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>语句</code><code>3</code></div>
<div><code>elif</code> <code>(表达式n) :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
<div><code>else</code> <code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　4 python本身没有switch语句。</p>
<p>　　5 循环语句：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</td>
<td>
<div>
<div><code>while</code><code>(表达式) :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
<div><code>else</code> <code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　6 循环语句：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</td>
<td>
<div>
<div><code>for</code> <code>变量 </code><code>in</code> <code>集合 :</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
<div><code>else</code> <code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>&hellip;</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　7 python不支持类似c的for(i=0;i&lt;5;i++)这样的循环语句，但可以借助range模拟：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>for</code> <code>x </code><code>in</code> <code>range</code><code>(</code><code>0</code><code>,</code><code>5</code><code>,</code><code>2</code><code>):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>x</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【数组相关】</strong></p>
<p>　　1 元组(tuple)：python中一种内置的数据结构。元组由不同的元素组成，每个元素可以存储不同类型的数据，如字符串、数字甚至元素。元组是写保护的，即元组创建之后不能再修改。元组往往代表一行数据，而元组中的元素代表不同的数据项。可以把元组看做不可修改的数组。创建元组示例如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>tuple_name</code><code>=</code><code>(&ldquo;apple&rdquo;,&rdquo;banana&rdquo;,&rdquo;grape&rdquo;,&rdquo;orange&rdquo;)</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　2 列表(list)：列表和元组相似，也由一组元素组成，列表可以实现添加、删除和查找操作，元素的值可以被修改。列表是传统意义上的数组。列表创建示例如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>list</code><code>=</code><code>[&ldquo;apple&rdquo;,&rdquo;banana&rdquo;,&rdquo;grage&rdquo;,&rdquo;orange&rdquo;]</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　可以使用append方法来在尾部追加元素，使用remove来删除元素。</p>
<p>　　3 字典(dictionary)：由键-值对组成的集合，字典中的值通过键来引用。键和值之间用冒号隔开，键-值对之间用逗号隔开，并且被包含在一对花括号中。创建示例如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
</td>
<td>
<div>
<div><code>dict</code><code>=</code><code>{&ldquo;a&rdquo;:&rdquo;apple&rdquo;, &ldquo;b&rdquo;:&rdquo;banana&rdquo;, &ldquo;g&rdquo;:&rdquo;grage&rdquo;, &ldquo;o&rdquo;:&rdquo;orange&rdquo;}</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　4 序列：序列是具有索引和切片能力的集合。元组、列表和字符串都属于序列。</p>
<p><strong>【函数相关】</strong></p>
<p>　　1 python程序由包(package)、模块(module)和函数组成。包是由一系列模块组成的集合。模块是处理某一类问题的函数和类的集合。</p>
<p>　　2 包就是一个完成特定任务的工具箱。</p>
<p>　　3 包必须含有一个__init__.py文件，它用于标识当前文件夹是一个包。</p>
<p>　　4 python的程序是由一个个模块组成的。模块把一组相关的函数或代码组织到一个文件中，一个文件即是一个模块。模块由代码、函数和类组成。导入模块使用import语句。</p>
<p>　　5 包的作用是实现程序的重用。</p>
<p>　　6 函数是一段可以重复多次调用的代码，函数定义示例如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
</td>
<td>
<div>
<div><code>def</code> <code>arithmetic(x,y,operator):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>result</code><code>=</code><code>{</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&ldquo;</code><code>+</code><code>&rdquo;:x</code><code>+</code><code>y,</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&ldquo;</code><code>-</code><code>&ldquo;:x</code><code>-</code><code>y,</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&ldquo;</code><code>*</code><code>&rdquo;:x</code><code>*</code><code>y,</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>&ldquo;</code><code>/</code><code>&rdquo;:x</code><code>/</code><code>y</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>}</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　7 函数返回值可以用return来控制。</p>
<p><strong>【字符串相关】</strong></p>
<p>　　1 格式化输出：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>format</code><code>=</code><code>&rdquo;</code><code>%</code><code>s</code><code>%</code><code>d&rdquo; </code><code>%</code> <code>(str1,num)</code></div>
<div><code>print</code> <code>format</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　2 用+进行字符串的合并：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
</td>
<td>
<div>
<div><code>str1</code><code>=</code><code>&rdquo;hello&rdquo;</code></div>
<div><code>str2</code><code>=</code><code>&rdquo;world&rdquo;</code></div>
<div><code>result</code><code>=</code><code>str1</code><code>+</code><code>str2</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 字符串截取可以通过索引/切片，也可以通过split函数。</p>
<p>　　4 通过切片截取字符串：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>word</code><code>=</code><code>&rdquo;world&rdquo;</code></div>
<div><code>print</code> <code>word[</code><code>0</code><code>:</code><code>3</code><code>]</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　5 python使用==和!=来进行字符串比较。如果比较的两个变量的类型不相同，那么结果必然为不同。</p>
<p><strong>【文件处理】</strong></p>
<p>　　1 简单处理文件：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
</td>
<td>
<div>
<div><code>context</code><code>=</code><code>&rdquo;hello,world&rdquo;</code></div>
<div><code>f</code><code>=</code><code>file</code><code>(&ldquo;hello.txt&rdquo;,&rsquo;w&rsquo;)</code></div>
<div><code>f.write(context);</code></div>
<div><code>f.close()</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　2 读取文件可以使用readline()函数、readlines()函数和read函数。</p>
<p>　　3 写入文件可以使用write()、writelines()函数</p>
<p><strong>【对象和类】</strong></p>
<p>　　1 python用class保留字来定义一个类，类名的首字符要大写。当程序员需要创建的类型不能用简单类型来表示时，就需要定义类，然后利用定义的类创建对象。定义类示例：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
</td>
<td>
<div>
<div><code>class</code> <code>Fruit:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>def</code> <code>grow(</code><code>self</code><code>):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>&ldquo;Fruit grow&rdquo;</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　2 当一个对象被创建后，包含了三方面的特性，即对象的句柄、属性和方法。创建对象的方法：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>fruit </code><code>=</code> <code>Fruit()</code></div>
<div><code>fruit.grow()</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　3 python没有保护类型的修饰符</p>
<p>　　4 类的方法也分为公有方法和私有方法。私有函数不能被该类之外的函数调用，私有的方法也不能被外部的类或函数调用。</p>
<p>　　5 python使用函数&rdquo;staticmethod()&ldquo;或&rdquo;@ staticmethod&ldquo;指令的方法把普通的函数转换为静态方法。静态方法相当于全局函数。</p>
<p>　　6 python的构造函数名为__init__，析构函数名为__del__</p>
<p>　　7 继承的使用方法：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
</td>
<td>
<div>
<div><code>class</code> <code>Apple(Fruit):</code></div>
<div><code>&nbsp;&nbsp;&nbsp;</code><code>def</code> <code>&hellip;</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p><strong>【连接mysql】</strong></p>
<p>　　1 用MySQLdb模块操作MySQL数据库非常方便。示例代码如下：</p>
<div>
<div>
<table>
<tbody>
<tr>
<td>
<div>1</div>
<div>2</div>
<div>3</div>
<div>4</div>
<div>5</div>
<div>6</div>
<div>7</div>
<div>8</div>
<div>9</div>
<div>10</div>
<div>11</div>
<div>12</div>
<div>13</div>
<div>14</div>
<div>15</div>
<div>16</div>
<div>17</div>
<div>18</div>
<div>19</div>
<div>20</div>
<div>21</div>
<div>22</div>
</td>
<td>
<div>
<div><code>import</code> <code>os, sys</code></div>
<div><code>import</code> <code>MySQLdb</code></div>
<div><code>try</code><code>:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>conn MySQLdb.connect(host</code><code>=</code><code>&rsquo;localhost&rsquo;,user</code><code>=</code><code>&rsquo;root&rsquo;,passwd</code><code>=</code><code>&rsquo;&rsquo;,db</code><code>=</code><code>&rsquo;address&rsquo;</code></div>
<div><code>except</code> <code>Exception,e:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>e</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>sys.exit()</code></div>
<div><code>cursor</code><code>=</code><code>conn.cursor()</code></div>
<div><code>sql</code><code>=</code><code>&rsquo;insert into address(name, address) values(</code><code>%</code><code>s, </code><code>%</code><code>s)&rsquo;</code></div>
<div><code>value</code><code>=</code><code>((&ldquo;zhangsan&rdquo;,&rdquo;haidian&rdquo;),(&ldquo;lisi&rdquo;,&rdquo;haidian&rdquo;))</code></div>
<div><code>try</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>cursor.executemany(sql,values)</code></div>
<div><code>except</code> <code>Exception, e:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>e</code></div>
<div><code>sql</code><code>=</code><code>&rdquo;select </code><code>*</code> <code>from</code> <code>address&rdquo;</code></div>
<div><code>cursor.execute(sql)</code></div>
<div><code>data</code><code>=</code><code>cursor.fetchall()</code></div>
<div><code>if</code> <code>data</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;</code><code>for</code> <code>x </code><code>in</code> <code>data:</code></div>
<div><code>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</code><code>print</code> <code>x[</code><code>0</code><code>],x[</code><code>1</code><code>]</code></div>
<div><code>cursor.close()</code></div>
<div><code>conn.close()</code></div>
</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<p>　　谢谢！</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/4qn5dw2q.html">【java基础】面向对象的三大特征---多态</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7vl0xq.html">Solr入门之（3）常用概念说明（持续补充）：</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8zwj238.html">使用Gulp和Browserify来搭建React应用程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqd2rvv9.html">highcharts插件使用总结和开发中遇到的问题及解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w0rd3q.html">MongoDB与php的配合使用 【windows版】</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ok266e9.html">使用python抓取有路网图书信息（原创）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnmd6z8.html">SQLPLUS使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/950gvnz8.html">ASP&period;NET Web API的HttpController是如何被激活的？</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpoko39.html">【Python】使用多个迭代器</a>
		</li>
						<li><a href="https://www.batexi.com/a/950pl008.html">git  强制覆盖本地文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj4pvk8.html">CentOS6&period;8系统下，ecipse下进行编辑操作，意外退出</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mezoepq.html">Kafka基本知识回顾及复制</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp33k0q.html">ONCOCNV软件思路分析之tumor处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjkpy38.html">div闪一下就消失</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1wlr1q.html">linux常用的压缩与解压缩命令</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me10r2q.html">SpringSecurity实现权限管理和页面导航栏动态实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy16vmq.html">富文本编辑器 CKeditor 配置使用 （带附件）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjjxn09.html">Spring面试底层原理的那些问题，你是不是真的懂Spring？</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyrx2dq.html">一张图看懂JVM之垃圾回收算法详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/960ygkv9.html">减少apk包大小的一种思路</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8okgw5l9.html">【PHPsocket编程专题&lpar;实战篇②&rpar;】兼容 Curl&sol;Socket&sol;Stream 的 HTTP 操作类&lbrack;转&rsqb;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd5nejq.html">jQuery编程基础精华01（jQuery简介&comma;顶级对象&dollar;&comma;jQuery对象、Dom对象&comma;链式编程&comma;选择器）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmk4509.html">poi操作oracle数据库导出excel文件2</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zl3y29.html">Android相对布局&lpar;RelativeLayout&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vpgkj8.html">Android上常见度量单位【xdpi、hdpi、mdpi、ldpi】解读</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1yo728.html">删除 GPT 保护分区</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd5zwjq.html">&lbrack;NYIST16&rsqb;矩形嵌套（DP，最长上升子序列）</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1jz4e9.html">SqlServer中获取数据库中每个表的行数</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1jn5m9.html">poj 1191 棋盘分割&lpar;dp &plus; 记忆化搜索&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwdr63r8.html">BZOJ2482&colon; &lbrack;Spoj1557&rsqb; Can you answer these queries II</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
